Page MenuHomePhabricator

Add Georgia to Monuments database
Closed, ResolvedPublic

Description

Mappings:

Georgia in Georgian

project : wikipedia
lang : ka
headerTemplate : GEO Monument header
rowTemplate : GEO Monument row
commonsTemplate : Cultural Heritage Georgia
commonsTrackerCategory : Cultural heritage monuments in Georgia with known IDs
commonsCategoryBase : Cultural heritage monuments in Georgia
autoGeocode : False
unusedImagesPage : ვიკიპედია:გამოუყენებელი სურათები
imagesWithoutIdPage : ვიკიპედია:სურათები იდენტიფიკატორის გარეშე
registrantUrlBase: ""
namespaces : [4]
table : monuments_ge_(ka)
truncate : False
primkey : id
fields (source : dest):

  • state_iso : region_iso
  • municipality : municipality
  • name : name
  • ID : id
  • type : type
  • date : date
  • lat : lat
  • lon : lon
  • address : address
  • image : image
  • commonscat : commonscat
  • ref : registrant_url

Details

Related Gerrit Patches:
labs/tools/heritage : masterAdd Georgia in Georgian to database

Event Timeline

@JeanFred When do you usually add the new countries to the Monuments database? @Beqabai is wondering since the statistics and the map functionality rely on their monuments becoming part of the database. (please correct me if I'm wrong.)

JeanFred renamed this task from Adding Georgia to Monuments database to Add Georgia to Monuments database.Sep 6 2016, 10:05 AM
JeanFred updated the task description. (Show Details)
JeanFred added a subscriber: Lokal_Profil.EditedSep 6 2016, 10:08 AM

@JeanFred When do you usually add the new countries to the Monuments database?

The process is outlined on https://commons.wikimedia.org/wiki/Commons:Monuments_database/Harvesting

I filled the task description with `` blanks. If someone from Georgia fills them in, @Lokal_Profil or myself are happy to create the patch (or to review the patch if someone else submits it :)

@Beqabai is wondering since the statistics and the map functionality rely on their monuments becoming part of the database. (please correct me if I'm wrong.)

This is correct, yes.

Lokal_Profil updated the task description. (Show Details)Sep 6 2016, 2:40 PM
Lokal_Profil updated the task description. (Show Details)Sep 6 2016, 2:55 PM

I added some parameters from the template and upload campaign.

This is also my indication that I'm happy to help out on this :)

Lokal_Profil updated the task description. (Show Details)Sep 6 2016, 3:01 PM

@JeanFred @Lokal_Profil I just pinged Georgia's points of contacts about the remainder of the blanks in the task description.

LilyOfTheWest triaged this task as Medium priority.Sep 6 2016, 8:10 PM
LilyOfTheWest moved this task from Backlog to In-progress on the Wiki-Loves-Monuments (2016) board.
BRUTE added a subscriber: BRUTE.Sep 8 2016, 5:01 AM
Lokal_Profil added a comment.EditedSep 12 2016, 1:26 PM

@David1010

  • Could you suggest a good page on ka.wikipedia for the list of unused images and images without id?
  • is ვიკიპედია: the Wikipedia namespace?
  • could you explain the circle, type and ref parameters?
  • should a wikilinks on the name parameter in the template always go to the article for the monument?
  • Are there any parameters o there than the ones listed in the description?
  • on which administrative level is state_iso (is it the level just below country?) and are there any levels between this and address (ex. Municipality or city)

From the meeting with the agency of Cultural heritage I understood that there is no way to link to individual buildings right now but it should be possible from the end of October. So I'm setting registrantUrlBase to empty for now.

Lokal_Profil updated the task description. (Show Details)Sep 12 2016, 1:29 PM
Beqabai updated the task description. (Show Details)Sep 13 2016, 8:53 AM
David1010 added a comment.EditedSep 13 2016, 4:32 PM

Hello @Lokal_Profil

  • Not sure if I understood your request correctly or not but there are no such categories on ka.wikipedia.
  • Yes, ვიკიპედია: is the Wikipedia: namespace.
  • The template was copied from another Wikipedia and honesty, I have no idea what circle parameter is for. The type parameter is actually a description of a monument (house, church, palace, etc...). The ref parameter is for a link to a websire of Cultural heritage agency but you are right, that's not available for now.
  • No, it uses a wikilink very rarely since there are many less known sites there are no articles created about.
  • No, that's all.
  • Iso_state (region) is really just below country, but for now we have a list sorted by a municipality (third tier, after county and region) ([ვიკიპედია:ვიკის უყვარს ძეგლები 2016/ძეგლების სია/იმერეთი/ზესტაფონის მუნიციპალიტეტი example]), so I guess it turned out to be useless since there is no iso for a municipality . But anyway, we can write a region iso on those pages. Fourth level is for a city/village and after that there goes an address.
Lokal_Profil updated the task description. (Show Details)Sep 13 2016, 8:20 PM

Hi David. Thanks for your update. I've added replies inline below

Hello @Lokal_Profil

  • Not sure if I understood your request correctly or not but there are no such categories on ka.wikipedia.
  • Sorry for being unclear. This would be two separate pages on ka.wikipedia (probably in the Wikipedia namespace). They would automatically get updated by the WLM bot. So what I need are two name suggestions (in georgian) for these pages.
  • Yes, ვიკიპედია: is the Wikipedia: namespace.
  • Thanks. Have updated the info above
  • The template was copied from another Wikipedia and honesty, I have no idea what circle parameter is for. The type parameter is actually a description of a monument (house, church, palace, etc...). The ref parameter is for a link to a websire of Cultural heritage agency but you are right, that's not available for now.
  • Thanks. Have updated the info on the ref and type parameter. Likely we'll have to update that again in October/November but that is no worries. Talking to the agency it should be possible to generate those links from the id in which case I can help you update the template so that it doesn't need the ref parameter. If Circle is unclear and unused I would recommend removing it.
  • No, it uses a wikilink very rarely since there are many less known sites there are no articles created about.
  • Ok. but it should it ever contain a wikilink to somethng else. To give an example if a house is Called "Wikimedia house" would it be ok with a link like "[[Wikimedia foundation|Wikimedia]] house", that is not to the building but to the thing is named after.
  • No, that's all.
  • Thanks. Have updated the info above
  • Iso_state (region) is really just below country, but for now we have a list sorted by a municipality (third tier, after county and region) ([ვიკიპედია:ვიკის უყვარს ძეგლები 2016/ძეგლების სია/იმერეთი/ზესტაფონის მუნიციპალიტეტი example]), so I guess it turned out to be useless since there is no iso for a municipality . But anyway, we can write a region iso on those pages. Fourth level is for a city/village and after that there goes an address.
  • It's actually still quite useful for anyone wanting to search in the database. Is the fourth level in any of the parameters? (not a problem if it isn't just good to know for our mapping). If you have the possibility I would recommend:
    • Adding the region_iso value to those values.
    • Adding a new municipality parameter to the header template ( instead of Circle 😃). The value for that can simply be the name of the municipality or a wikilink to the article about it.
Lokal_Profil updated the task description. (Show Details)Sep 13 2016, 8:38 PM
BRUTE added a comment.Sep 14 2016, 8:25 PM

Hello @Lokal_Profil

Unused images would be გამოუყენებელი სურათები and images without id would be სურათები იდენტიფიკატორის გარეშე .

Circle parameter will be changed with a municipality in the header.

Your suggestion on a wikilink is definitely a better option than not making a link at all. That's OK for sure.

Fourth level is not mentioned there but we could add it if needed.

As per your advise, we will add the region_iso to the template. And as I said above, a municipality parameter will be there as well instead of a circle.

Any thoughts?

Regards,

Lokal_Profil updated the task description. (Show Details)Sep 15 2016, 5:34 PM

Hello @Lokal_Profil
Unused images would be გამოუყენებელი სურათები and images without id would be სურათები იდენტიფიკატორის გარეშე .

Thanks. I've added them to the info above. (I stuck them in the Wikipedia namespace)

Circle parameter will be changed with a municipality in the header.

Great.

Your suggestion on a wikilink is definitely a better option than not making a link at all. That's OK for sure.

That works. It just means we cannot assume that any link goes to an article about the monument but that is not a problem.

Fourth level is not mentioned there but we could add it if needed.

Nah. We should be ok without it.

As per your advise, we will add the region_iso to the template. And as I said above, a municipality parameter will be there as well instead of a circle.

Great let me know when you have started (so that I get the right parameter names) and I'll update the info above and then prepare a patch for the tool.

Great let me know when you have started (so that I get the right parameter names) and I'll update the info above and then prepare a patch for the tool.

Wow. That was fast. Putting last update to the description and pushing the patch.

Lokal_Profil updated the task description. (Show Details)Sep 15 2016, 5:52 PM

Change 310889 had a related patch set uploaded (by Lokal Profil):
Add Georgia in Georgian to database

https://gerrit.wikimedia.org/r/310889

Change 310889 merged by jenkins-bot:
Add Georgia in Georgian to database

https://gerrit.wikimedia.org/r/310889

Mentioned in SAL (#wikimedia-labs) [2016-09-22T08:00:55Z] <Lokal_Profil> Deployed latest from Git, f439ac4, fab9a23, ff37691, 241a27a, 0a45ad0, 1a526a5, 23ce89e (T144772)

Very good! Thank you very much! <3

JeanFred closed this task as Resolved.Sep 23 2016, 9:27 PM

Many thanks to @Lokal_Profil !